GET /api/client/grants

The agents allowed to act for the client, by the name each gave when it registered.

Surface: client. Who may call: client. Key: client.grants.list.

Example request

curl -X GET https://caremcp.com/api/client/grants \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "oauthClientId": {
    "type": "string"
   },
   "name": {
    "type": "string"
   },
   "grantedAt": {
    "type": "string"
   },
   "tokens": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   }
  },
  "required": [
   "oauthClientId",
   "name",
   "grantedAt",
   "tokens"
  ],
  "additionalProperties": false
 }
}